<!-- <div class="twelve-column-container marketplace-container margin-center-start">
  <span class="headline container-header">{{'navigation.marketplace'|transloco}}</span>
</div> -->
<div class="toolbar-container filter-spacing">
  <div class="twelve-column-container marketplace-container margin-center">
    <div class="ten-column-container margin-center">
      <app-portal-app-filter-bar
        (filtersSelected)="selectedFilters($event)"
        [filters]="tags$|ngrxPush"
        [activeFilters]="activeTags$|ngrxPush"
        [filterCategories]="MARKETPLACE_FILTERS">
      </app-portal-app-filter-bar>
    </div>
  </div>
</div>
<div class="twelve-column-container margin-center">
  <div class="ten-column-container margin-center toolbar-flex-container">
    <!-- TODO: remove style="visibility: hidden;" from upload button to make him visible when button logic can be implemented -->
    <button
      mat-flat-button
      color="primary"
      style="visibility: hidden;"
      class="app-upload-button round-button">
      <span class="button-align-icon">
        <mat-icon>upgrade</mat-icon>
        <span>{{'app.upload'|transloco}}</span>
      </span>
    </button>
    <app-portal-apps-sort
      [appSortSelected]="appSort$|ngrxPush"
      (appSortChanged)="onSortBySelection($event)">
    </app-portal-apps-sort>
  </div>
</div>
<div class="twelve-column-container margin-center">
  <ng-container *ngrxLet="apps$; let n; let e = error, let c = complete">
    <ng-container *ngIf="e">There is an error: {{e}}</ng-container>
    <ng-container *ngIf="c">Observable completed: {{c}}</ng-container>
    <div class="ten-column-container margin-center marketplace-content">
      <app-portal-app-card
        *ngFor="let app of n; trackBy:id"
        (click)="cardClickedNavigate({app})"
        [app]="app">
      </app-portal-app-card>
    </div>
  </ng-container>
</div>
